// gnome.xonotic.in.ua

models/mapobjects/teleporter/energy
{
	cull disable
	{
		map models/mapobjects/teleporter/energy.tga
		blendfunc gl_one gl_one
		tcmod scroll 2.2 1.3
		rgbgen wave inversesawtooth -.3 1.3 0 1.3
	}
	{
		map models/mapobjects/teleporter/energy2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 .5
		rgbgen wave inversesawtooth -.2 1.2 0 .5
	}
	{
		map models/mapobjects/teleporter/energy3.tga
		blendfunc gl_one gl_one
		tcmod scroll 3 0
		rgbgen wave triangle 1 1 0 5.3
	}
}

models/mapobjects/teleporter/teleporter_edge
{
	{
		map models/mapobjects/teleporter/teleporter_edge.tga
		rgbgen vertex
	}
	{
		map models/mapobjects/teleporter/teleporter_edge2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 .2 1.5
	}
}

models/mapobjects/teleporter/transparency
{
	cull disable
	{
		map models/mapobjects/teleporter/transparency.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll .1 .2
	}
}

models/mapobjects/teleporter/widget
{
	cull disable
	{
		map models/mapobjects/teleporter/widget.tga
		blendfunc gl_one gl_one
	}
	{
		map models/mapobjects/teleporter/transparency2.tga
		blendfunc gl_one gl_one
		tcmod scroll -.1 -.2
	}
}

textures/base_door/shinymetaldoor_outside
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map textures/base_door/quake3sign_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_floor/floor3_3dark_ow
{
	{
		map textures/effects/envmapblue.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 5.6
		tcmod scale 1.5 1.5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/floor3_3dark_ow.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/border7_ceil50
{
	qer_editorimage textures/base_light/border7_ceil50.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border7_ceil50.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border7_ceil50glow.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/ceil1_38_10k
{
	qer_editorimage textures/base_light/ceil1_38.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_38.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/light5_5k
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_backsplash 0 0
	q3map_surfacelight 5000
	{
		map textures/base_light/light5.tga
		rgbgen identity
	}
}

textures/base_light/lt2_2000
{
	qer_editorimage textures/base_light/light2.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbgen wave sin 0.6 0.1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
}

textures/base_light/runway
{
	q3map_lightimage textures/base_light/runway_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/base_light/runway_glow.tga
		tcmod scale 1 .25
		rgbgen wave square -1 2 .5 8
		tcmod scroll 0 .5
	}
	{
		map textures/base_light/runway.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/base_light/runwayb.tga
		blendfunc add
		rgbgen identity
	}
}

textures/base_light/scrolllight
{
	q3map_lightimage textures/sfx/scrolllight2.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/scrolllight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/scrolllight2.tga
		blendfunc gl_one gl_one
		tcmod scroll -1 0
	}
	{
		map textures/base_light/scrolllight2.tga
		blendfunc gl_one gl_one
		tcmod scroll -2 0
	}
}

textures/base_light/wsupprt1_12
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/wsupprt1_12.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/base_object/boxq3_3
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_object/boxq3_3.tga
		rgbgen identity
		alphagen lightingspecular
		blendfunc gl_dst_color gl_src_alpha
	}
}

textures/base_object/boxq3_4
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_object/boxq3_4.tga
		rgbgen identity
		alphagen lightingspecular
		blendfunc gl_dst_color gl_src_alpha
	}
}

textures/base_support/x_support2
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_support/x_support2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/proto_fence
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/base_trim/proto_fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/bluemetal1b_shiny
{
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/base_wall/bluemetalsupport2
{
	{
		map textures/base_wall/chrome_env2.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2c_1
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c_1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2c_1vent
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2c_1vent.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/bluemetalsupport2clight
{
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2clight.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/base_wall/bluemetalsupport2clight.glow.tga
		blendfunc add
		rgbgen wave sawtooth .6 .1 0 4
	}
}

textures/base_wall/bluemetalsupport2e
{
	{
		map textures/base_wall/chrome_env.tga
		rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/base_wall/comp3c
{
	{
		map textures/base_wall/comp3env.tga
		rgbgen identity
		tcgen environment
	}
	{
		map $lightmap
		tcgen environment
		blendfunc gl_one gl_one
	}
	{
		map textures/base_wall/comp3c.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/base_wall/main_q3abanner
{
	q3map_lightimage textures/base_wall/main_q3abanner.tga
	q3map_surfacelight 100
	{
		map textures/base_wall/main_q3abanner.tga
		rgbgen wave square 0 1 0 .5
	}
	{
		map textures/base_wall/comp3text.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map textures/base_wall/comp3textb.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 3 3
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
		rgbgen wave sin .25 0 0 0
		blendfunc add
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
	{
		map textures/sfx/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/bounce_concrete
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/sfx/bounce_concrete.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/sfx/fan3
{
	cull disable
	surfaceparm alphashadow
	sort 6
	{
		map textures/sfx/fan3.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/sfx/fan3bladeb
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	sort 5
	{
		clampmap textures/sfx/fan3bladeb.tga
		blendfunc blend
		tcmod rotate 999
		rgbgen identity
	}
}

textures/skies/hellsky
{
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 50
	skyparms - 512 -
	{
		map textures/skies/dimclouds.tga
		tcmod scroll 0.05 0
		tcmod scale 2 2
		depthwrite
	}
}

